GDB (xrefs)

Public Attributes | List of all members
cache_entry Struct Reference

## Public Attributes
const char * | name
domain_enum | domain
struct symbol * | sym
const struct block * | block
struct cache_entry * | next

## Detailed Description

Definition at line 281 of file ada-lang.c.

## Member Data Documentation

## ◆ block

const struct block* cache_entry::block

Definition at line 292 of file ada-lang.c.

Referenced by cache_symbol().

## ◆ domain

domain_enum cache_entry::domain

Definition at line 286 of file ada-lang.c.

Referenced by cache_symbol(), find_entry(), and lookup_cached_symbol().

## ◆ name

const char* cache_entry::name

Definition at line 284 of file ada-lang.c.

Referenced by gdb.printing.FlagEnumerationPrinter::__call__(), gdb.unwinder.Unwinder::__init__(), gdb.xmethod.XMethod::__init__(), gdb.printing.PrettyPrinter::__init__(), gdb.printing.SubPrettyPrinter::__init__(), gdb.xmethod.XMethodMatcher::__init__(), gdb.types.TypePrinter::__init__(), cache_symbol(), exsummary.Function::consistency_check(), and exsummary.Function::print_stack().

## ◆ next

struct cache_entry* cache_entry::next

Definition at line 294 of file ada-lang.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), cache_symbol(), and find_entry().

## ◆ sym

struct symbol* cache_entry::sym

Definition at line 289 of file ada-lang.c.

Referenced by gdb.FrameDecorator.SymValueWrapper::__init__(), cache_symbol(), lookup_cached_symbol(), and gdb.FrameDecorator.SymValueWrapper::symbol().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/ada-lang.c